package kr.co.uplus.ez.api.homeMgt;

import kr.co.uplus.ez.api.homeMgt.dto.*;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface HomeMgtMapper {
	
	int selectNoticeTotalCnt(NoticeListReqDto noticeListReqDto);
	
	List<NoticeDto> selectNoticeList(NoticeListReqDto noticeListReqDto);
	
	int selectNoticeNumber(NoticeListReqDto noticeListReqDto);
	
	void insertNotice(InsertNoticeReqDto insertNoticeReqDto);
	
	int insertNoticeNtNo();
	
	int updateNotice(UpdateNoticeReqDto updateNoticeReqDto);
	
	int updateNoticeFileMaxNum(UpdateNoticeReqDto updateNoticeReqDto);
	
	void insertNoticeFile(InsertNoticeFileDto insertNoticeFileDto);
	
	void delNoticeFile(DelNoticeReqDto delNoticeReqDto);
	
	int deleteNotice(DeleteNoticeReqDto deleteNoticeReqDto);
	
	int selectFaqTotalCnt(FaqListReqDto faqListReqDto);
	
	List<FaqDto> selectFaqList(FaqListReqDto faqListReqDto);
	
	int selectFaqNumber(FaqListReqDto faqListReqDto);
	
	void insertFaq(InsertFaqReqDto insertFaqReqDto);
	
	int updateFaq(UpdateFaqReqDto updateFaqReqDto);
	
	int deleteFaq(DeleteFaqReqDto deleteFaqReqDto);
	
}
